org.bouncycastle.asn1.cryptopro

## Class GOST3410NamedParameters

- java.lang.Object
- - org.bouncycastle.asn1.cryptopro.GOST3410NamedParameters

    public class GOST3410NamedParameters
    extends java.lang.Object

table of the available named parameters for GOST 3410-94.

### Constructor Summary

Constructors
Constructor and Description
`GOST3410NamedParameters()`

### Method Summary

Methods
`static GOST3410ParamSetParameters` `getByName(java.lang.String name)`
`static GOST3410ParamSetParameters` `getByOID(DERObjectIdentifier oid)` return the GOST3410ParamSetParameters object for the given OID, null if it isn't present.
`static java.util.Enumeration` `getNames()` returns an enumeration containing the name strings for parameters contained in this structure.
`static DERObjectIdentifier` `getOID(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GOST3410NamedParameters

    public GOST3410NamedParameters()

### Method Detail

#### getByOID

    public static GOST3410ParamSetParameters getByOID(DERObjectIdentifier oid)

return the GOST3410ParamSetParameters object for the given OID, null if it isn't present.

Parameters:
  `oid` - an object identifier representing a named parameters, if present.

#### getNames

    public static java.util.Enumeration getNames()

returns an enumeration containing the name strings for parameters contained in this structure.

#### getByName

    public static GOST3410ParamSetParameters getByName(java.lang.String name)

#### getOID

    public static DERObjectIdentifier getOID(java.lang.String name)